ACR(1)

NAME
acr - autoconf replacement

SYNOPSIS
acr [-dDehmnprvwx] [-o file] [file | args]

DESCRIPTION
ACR tries to replace the autoconf functionality generating a full compatible "configure" script. The main difference is that ACR uses shell script instead of m4, and final generated script looks smaller, faster, easy to read and maintain.

There's a new concept that consists on adding simple rules. And trying to skip all programming and non-portable stuff. That breaks standarization of software packages.

-d --debug
    Runs ACR in debug mode. This will show a branch tree for all command calls, allowing the developer to see if the target script is parsed properly.

-D --dist
    Scans current project directory, resets to the initial state and creates a distname tarball 'pkgname-version.tar.gz'.

-e --embed
    Embeds configure.acr into the final configure script.

-h --help
    Show the usage message to the console.

-m --makefile
    Creates a sample "Makefile.acr" using configure.acr file.

-n --do-nothing
    Do not create the final configure script.

-o --output [file]
    Generate the configure script into a different filename.

-p --progress-bar
    Show progress bar.

-r  Recovery mode. See acr-cat(1) for more information.

-s  Strip default code generation, this is flag parsing and system checks.

-v ---version
    Show version information.

-w ---word -[number]
    Cats the 'configure.acr' file and colorizes the desired word number.

-x --exec
    Generates and executes the configure.acr directly without creating the "configure" file. You can also pass the cmdline flags like --prefix, etc.

SEE ALSO
amr(1) acr-cat(1) acr-wrap(1) configure.acr(5) configure.amr(5)

AUTHOR
pancake <pancake@nopcode.org>